# $Revision: 1.203 $, $Date: 2011/06/29 20:45:03 $
#
# Conditional build:
%bcond_without	shared		# don't build shared lib support
%bcond_with	nptl		# libpthread: NPTL instead of LinuxThreads (experimental; no i386)
%bcond_with	verbose		# verbose mode
#
%ifarch alpha
%undefine	with_shared
%endif
#
Summary:	C library optimized for size
Summary(pl.UTF-8):	Biblioteka C zoptymalizowana na rozmiar
Name:		uClibc
Version:	0.9.32
Release:	3
Epoch:		4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://uclibc.org/downloads/%{name}-%{version}.tar.xz
# Source0-md5:	51660b93b8f1edb486049981fecfd148
Patch0:		%{name}-newsoname.patch
Patch1:		%{name}-toolchain-wrapper.patch
Patch2:		%{name}-targetcpu.patch
Patch3:		%{name}-debug.patch
Patch4:		%{name}-stdio-unhide.patch
Patch5:		%{name}-epoll.patch
URL:		http://uclibc.org/
BuildRequires:	binutils >= 2.16
BuildRequires:	cpp
%if %{with nptl}
BuildRequires:	gcc >= 5:4.1
%else
BuildRequires:	gcc >= 5:3.0
%endif
BuildRequires:	linux-libc-headers >= 7:2.6.27
BuildRequires:	make >= 3.80
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	which
BuildRequires:	xz
%{?with_nptl:Requires:	uname(version) >= 2.6}
# only these supported by this .spec; uClibc code supports some more
ExclusiveArch:	alpha %{ix86} ppc sparc sparcv9 %{x8664}
%{?with_nptl:ExcludeArch:	i386}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{cc_version}" >= "4.2"
%define		specflags	-fgnu89-inline
%endif

%define		uclibc_root	/usr/%{_target_cpu}-linux-uclibc

%description
Small libc for building embedded applications.

%description -l pl.UTF-8
Mała libc do budowania aplikacji wbudowanych.

%package devel
Summary:	Development files for uClibc
Summary(pl.UTF-8):	Pliki dla programistów uClibc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	linux-libc-headers >= 7:2.6.27
%requires_eq	gcc

%description devel
Small libc for building embedded applications.

%description devel -l pl.UTF-8
Mała libc do budowania aplikacji wbudowanych.

%package static
Summary:	Static uClibc libraries
Summary(pl.UTF-8):	Biblioteki statyczne uClibc
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libc-static

%description static
Static uClibc libraries.

%description static -l pl.UTF-8
Biblioteki statyczne uClibc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# ARCH is already determined by uname -m
%ifarch %{ix86}
defconfig=extra/Configs/defconfigs/i386
%ifarch i386
echo 'CONFIG_386=y' >> $defconfig
%endif
%ifarch i486
echo 'CONFIG_486=y' >> $defconfig
%endif
%ifarch i586
echo 'CONFIG_586=y' >> $defconfig
%endif
%ifarch i686
echo 'CONFIG_686=y' >> $defconfig
%endif
%ifarch pentium3
echo 'CONFIG_PENTIUMIII=y' >> $defconfig
%endif
%ifarch pentium4
echo 'CONFIG_PENTIUM4=y' >> $defconfig
%endif
%ifarch athlon
echo 'CONFIG_K7=y' >> $defconfig
%endif
%endif
%ifarch %{x8664}
defconfig=extra/Configs/defconfigs/x86_64
%endif
%ifarch alpha
defconfig=extra/Configs/defconfigs/alpha
%endif
%ifarch sparc sparcv9
defconfig=extra/Configs/defconfigs/sparc
%endif
%ifarch ppc
defconfig=extra/Configs/defconfigs/powerpc
%endif
%ifarch ia64
defconfig=extra/Configs/defconfigs/ia64
%endif

cat <<'EOF' >> $defconfig
# HAS_NO_THREADS is not set
%{!?with_nptl:LINUXTHREADS_OLD=y}
%{?with_nptl:UCLIBC_HAS_THREADS_NATIVE=y}
UCLIBC_HAS_IPV6=y
DO_C99_MATH=y
UCLIBC_HAS_RPC=y
# UCLIBC_HAS_FULL_RPC is not set
# UCLIBC_HAS_REENTRANT_RPC is not set
UCLIBC_HAS_SYS_SIGLIST=y
SHARED_LIB_LOADER_PREFIX="$(RUNTIME_PREFIX)/lib"
LDSO_GNU_HASH_SUPPORT=y
%if %{without shared}
HAVE_NO_SHARED=y
# HAVE_SHARED is not set
%endif
UCLIBC_HAS_PRINTF_M_SPEC=y
UCLIBC_SUSV3_LEGACY=y
UCLIBC_SUSV3_LEGACY_MACROS=y
# DOSTRIP is not set
%{?debug:DODEBUG=y}
%{?debug:SUPPORT_LD_DEBUG=y}
%{?debug:SUPPORT_LD_DEBUG_EARLY=y}
EOF

%build
# use ld.bfd; gold doesn't work well for now
install -d our-ld
ln -s %{_bindir}/ld.bfd our-ld/ld
PATH=$(pwd)/our-ld:$PATH; export PATH

# NOTE: 'defconfig' and 'all' must be run in separate make process because of macros
%{__make} -j1 defconfig \
	%{?with_verbose:VERBOSE=1} \
	TARGET_CPU="%{_target_cpu}" \
	GCC_BIN=%{_host_cpu}-%{_vendor}-%{_os}-gcc \
	HOSTCC="%{__cc}" \
	CC="%{__cc}" \
	HOSTCFLAGS="%{rpmcflags} %{rpmldflags}" \
	OPTIMIZATION="%{rpmcflags} -Os"

# The Makefile includes .config and later tries to assign same variable,
# eventually it gets lost and sets wrong value for TARGET_ARCH and bad value
# for UCLIBC_LDSO in extra/gcc-uClibc.
# So we pass it as make arg to be sure it's proper!
target_arch=$(grep -s '^TARGET_ARCH' .config | sed -e 's/^TARGET_ARCH=//' -e 's/"//g')

%{__make} -j1 \
	%{?with_verbose:VERBOSE=1} \
	TARGET_CPU="%{_target_cpu}" \
	TARGET_ARCH=$target_arch \
	GCC_BIN=%{_host_cpu}-%{_vendor}-%{_os}-gcc \
	HOSTCC="%{__cc}" \
	CC="%{__cc}" \
	HOSTCFLAGS="%{rpmcflags} %{rpmldflags}" \
	OPTIMIZATION="%{rpmcflags} -Os"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} -j1 install \
	%{?with_verbose:VERBOSE=1} \
	TARGET_CPU="%{_target_cpu}" \
	HOSTCC="%{__cc}" \
	HOSTCFLAGS="%{rpmcflags} %{rpmldflags}" \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags} -Os" \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with shared}
%if %{without nptl}
mv -f $RPM_BUILD_ROOT%{uclibc_root}/usr/lib/{libpthread-uclibc,libpthread}.so
ln -sf libpthread-%{version}.so $RPM_BUILD_ROOT%{uclibc_root}/lib/libpthread.so.0
%endif
chmod a+rx $RPM_BUILD_ROOT%{uclibc_root}/lib/*.so
%endif

# these links are *needed* (by stuff in bin/)
for f in $RPM_BUILD_ROOT%{uclibc_root}/bin/*; do
	if [ -L $f ]; then
		l=$(readlink $f)
		a=${l##*/}
		d=${l%/*}
		case "$d" in
		%{_bindir})
			ln -sf ${l#%{_bindir}/} $RPM_BUILD_ROOT%{_bindir}/${f##*/}
			rm -f $f
			;;
		$a)
			mv -f $f $RPM_BUILD_ROOT%{_bindir}
			;;
		*)
			exit 1
			;;
		esac
	else
		a=${f#*/%{_target_cpu}-uclibc-}
		ln -sf %{_bindir}/$(basename $f) $RPM_BUILD_ROOT%{uclibc_root}/usr/bin/$a
		mv -f $f $RPM_BUILD_ROOT%{_bindir}
	fi
done

for f in $RPM_BUILD_ROOT%{uclibc_root}/usr/bin/*; do
	if [ -L $f ]; then
		l=$(readlink $f)
		case "${l%/*}" in
		%{uclibc_root}/bin)
			a=${l#*/%{_target_cpu}-uclibc-}
			ln -sf %{_bindir}/$a $f
			;;
		%{_bindir})
			:
			;;
		*)
			exit 2
			;;
		esac
	fi
done

# rpm -ql linux-libc-headers | awk -F/ ' /^\/usr\/include\// { print "/usr/include/" $4 } ' | sort -u
for dir in asm asm-generic linux mtd rdma sound video xen; do
	ln -sf /usr/include/${dir} $RPM_BUILD_ROOT%{uclibc_root}/usr/include/${dir}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog* DEDICATION.mjn3 MAINTAINERS README TODO
%dir %{uclibc_root}
%ifarch %{ix86} %{x8664} ppc sparc sparcv9
%if %{with shared}
%dir %{uclibc_root}/lib
%attr(755,root,root) %{uclibc_root}/lib/*.so*
%endif
%endif

%files devel
%defattr(644,root,root,755)
%doc docs/*.txt
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-addr2line
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-ar
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-as
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-c++
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-cc
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-cpp
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-g++
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-gcc
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-ld
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-nm
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-objcopy
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-objdump
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-ranlib
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-size
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-strings
%attr(755,root,root) %{_bindir}/%{_target_cpu}-uclibc-strip
%{uclibc_root}/usr/lib/*.o
%dir %{uclibc_root}/usr
%dir %{uclibc_root}/usr/bin
%attr(755,root,root) %{uclibc_root}/usr/bin/addr2line
%attr(755,root,root) %{uclibc_root}/usr/bin/ar
%attr(755,root,root) %{uclibc_root}/usr/bin/as
%attr(755,root,root) %{uclibc_root}/usr/bin/c++
%attr(755,root,root) %{uclibc_root}/usr/bin/cc
%attr(755,root,root) %{uclibc_root}/usr/bin/cpp
%attr(755,root,root) %{uclibc_root}/usr/bin/g++
%attr(755,root,root) %{uclibc_root}/usr/bin/gcc
%attr(755,root,root) %{uclibc_root}/usr/bin/ld
%attr(755,root,root) %{uclibc_root}/usr/bin/nm
%attr(755,root,root) %{uclibc_root}/usr/bin/objcopy
%attr(755,root,root) %{uclibc_root}/usr/bin/objdump
%attr(755,root,root) %{uclibc_root}/usr/bin/ranlib
%attr(755,root,root) %{uclibc_root}/usr/bin/size
%attr(755,root,root) %{uclibc_root}/usr/bin/strings
%attr(755,root,root) %{uclibc_root}/usr/bin/strip
%dir %{uclibc_root}/usr/lib
%if %{with shared}
%{uclibc_root}/usr/lib/uclibc_nonshared.a
%ifarch %{ix86} %{x8664} ppc sparc sparcv9
%attr(755,root,root) %{uclibc_root}/usr/lib/*.so
%endif
%endif
%{uclibc_root}/usr/include

%files static
%defattr(644,root,root,755)
%{uclibc_root}/usr/lib/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uClibc.spec,v $
Revision 1.203  2011/06/29 20:45:03  arekm
- rel 3; ld.bfd as linker

Revision 1.202  2011/06/27 17:51:12  arekm
- release 2

Revision 1.201  2011/06/19 07:18:41  qboosh
- merged 0.9.32 from DEVEL
- removed nosize,warn-once patches (no longer relevant for 0.9.32)

Revision 1.200  2011/05/27 20:32:57  arekm
- gcc 4.6 fixes

Revision 1.199  2011/05/19 18:16:13  arekm
- rel 7; symlink more dirs available in llh package

Revision 1.198  2011/05/15 17:03:45  arekm
- release 6

Revision 1.197  2010/12/18 22:17:01  arekm
- release 5

Revision 1.196  2010/09/22 12:35:19  baggins
- back to 0.9.30.3 (0.9.31 on UCLIBC_0_9_31 branch)
- programs statically linked with 0.9.31 segfault on ix86
	(example  https://bugs.busybox.net/show_bug.cgi?id=2431)
- rel 4, epoch 4

Revision 1.195.4.4  2011/06/12 09:27:34  qboosh
- dropped gasp from toolchain (updated toolchain-wrapper,targetcpu patches)
- added nptl bcond (experimental, not on i386), updated newsoname patch to cover nptl libpthread

Revision 1.195.4.3  2011/06/12 08:23:37  qboosh
- updated to 0.9.32
- updated newsoname,toolchain-wrapper,debug,stdio-unhide patches
- removed obsolete inotify_init1,sockflags,make patches
- added epoll patch (by Phil Blundell <philb@gnu.org>)

Revision 1.195.4.2  2011/06/12 06:42:19  qboosh
- mention epoch 4 in changelog

Revision 1.195.4.1  2011/06/12 06:24:16  qboosh
- started DEVEL branch at 0.9.31
- merged more llh symlinks from HEAD (+sparc update: use merged tree from llh 2.6.27+)
- epoch 4

Revision 1.195  2010/08/23 18:53:04  baggins
- enable UCLIBC_HAS_PROGRAM_INVOCATION_NAME for util-linux

Revision 1.194  2010/08/23 17:49:58  qboosh
- updated to 0.9.31
- updated stdio-unhide,toolchain-wrapper patches
- added make patch (MULTILIB_DIR fix)
- updated config: now THREADS must be enabled explicitly;
  use old linuxthreads as new fail to build on i386

Revision 1.193  2010/08/03 16:04:31  arekm
- release 3

Revision 1.192  2010/04/16 13:41:26  arekm
- release 2

Revision 1.191  2010/03/25 07:23:44  qboosh
- updated to 0.9.30.3
- updated toolchain-wrapper patch

Revision 1.190  2010/01/21 21:06:28  arekm
- release 3

Revision 1.189  2010/01/19 22:55:37  baggins
- rel 2
- removed long forgotten sparc patch
- added inotify_init1 support
- added definitions of new socket open flags

Revision 1.188  2010/01/19 16:17:01  baggins
- removed obsolete patches

Revision 1.187  2010/01/19 16:12:13  baggins
- 0.9.30.2 (includes AT_FILE interface)

Revision 1.186  2009/10/17 20:42:34  arekm
- release 7

Revision 1.185  2009/07/25 00:17:30  arekm
- rel 6; fix build due to getline()

Revision 1.184  2009/07/24 21:57:34  arekm
- release 5

Revision 1.183  2009/04/26 09:54:08  arekm
- release 4

Revision 1.182  2009/04/23 06:23:20  arekm
- release 3

Revision 1.181  2009/03/16 20:47:02  glen
- macros for cc_version macro

Revision 1.180  2009/03/16 20:08:05  qboosh
- -fgnu89-inline depending on gcc version

Revision 1.179  2009/03/14 11:40:30  baggins
- rel 2
- removed hidden_defs from libm (ppc fails with them)

Revision 1.178  2009/03/14 11:27:04  baggins
- rel 1.1
- trying to fix ppc libm problems

Revision 1.177  2009/03/14 01:41:56  baggins
- 0.9.30.1
- epoch 3
- filter out -Wl,-z,combreloc and -Wl,-z,relro in gcc wrapper
- use linker GNU hash style (fixes _stdio_openlist_use_count problem)
- fixed ppoll syscall (it has 5 args, not 4)

Revision 1.176  2009/02/25 14:46:14  baggins
- BR ncurses-devel

Revision 1.175  2009/02/08 23:25:03  arekm
- 0.9.30 is broken

Revision 1.174  2009/02/08 17:18:57  arekm
- release 3

Revision 1.173  2009/01/24 22:09:52  pluto
- release 2 for rebuild with gcc-4.3.3.

Revision 1.172  2009/01/10 18:53:19  qboosh
- updated to 0.9.30
- updated newsoname,toolchain-wrapper,debug patches
- added headers patch (needed on x86* with recent llh)

Revision 1.171  2008/08/28 18:44:34  pluto
- make -j1 (-j4 on fast quad core causes errors).

Revision 1.170  2008/08/28 18:41:34  pluto
- bump release for rebuild with gcc-4.3.2.

Revision 1.169  2008/07/22 16:45:21  charles
- -devel R: s/binutils/binutils-gasp/

Revision 1.168  2008/06/28 09:39:55  arekm
- release 18

Revision 1.167  2008-06-14 20:26:00  arekm
- rel 17

Revision 1.166  2008-06-03 07:13:39  arekm
- rel 16; gcc rebuild

Revision 1.165  2008-05-27 08:21:53  arekm
- rel 15

Revision 1.164  2008-04-27 14:34:37  arekm
- add todo

Revision 1.163  2008-04-04 15:41:45  glen
- merge fixes from LINUX_2_6_22 branch; rel 14

Revision 1.162  2008-04-02 07:04:33  glen
- restore -fgnu89-inline

Revision 1.161  2008-04-02 07:02:28  glen
- merge from build cleanup from LINUX_2_6_22

Revision 1.160  2008-04-01 23:49:12  glen
- fix shared bcond

Revision 1.159  2008-04-01 23:48:13  glen
- shared functional on HEAD somewhy

Revision 1.158  2008-04-01 23:46:20  glen
- merge fixes from LINUX_2_6_22 branch

Revision 1.157  2008-04-01 19:14:54  glen
- really always disable stripping not only with %{?debug}
- use inline sed edit

Revision 1.156  2008-04-01 19:01:46  glen
- some unpackaged list

Revision 1.155  2008-03-26 21:17:22  glen
- COPYING.LIB is LGPL v2.1

Revision 1.154  2008-02-03 12:06:53  arekm
rel 11; bump llh requires to 2.6.24

Revision 1.153  2008-02-02 12:43:55  pluto
- release 10 for rebuild with gcc-4.2.3.

Revision 1.152  2007-10-10 22:14:12  arekm
- rel 9

Revision 1.151  2007/09/18 08:37:37  baggins
- rel 8

Revision 1.150  2007/09/17 15:34:21  baggins
- rel 7

Revision 1.149  2007/07/23 14:13:40  pluto
- rebuild with gcc-4.2.1, release 6.

Revision 1.148  2007/06/07 16:18:56  arekm
- rel 5; enable legacy susv3 functions/macros

Revision 1.147  2007/06/04 17:06:42  pluto
- pass -fgnu89-inline to trim warning flood.
- pass DOSTRIP != y to produce -debuginfo.

Revision 1.146  2007/06/04 06:07:36  arekm
- rel 4

Revision 1.145  2007/06/03 22:47:15  qboosh
- one more SEGV fix in stdio-unhide patch (on exit() this time)

Revision 1.144  2007/06/03 21:10:01  arekm
- rel 3

Revision 1.143  2007/06/03 21:08:58  qboosh
- added stdio-unhide patch (probably will fix SEGV in static/nostdio binaries on x86)

Revision 1.142  2007/06/03 20:23:26  arekm
- rel 2; http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2007-June/141284.html

Revision 1.141  2007/06/01 07:23:21  arekm
brokeness warning

Revision 1.140  2007/05/19 12:11:17  arekm
- rel 1

Revision 1.139  2007/05/14 19:44:10  qboosh
- removed obsolete ppc-ioctl-errno,syscallerror patches

Revision 1.138  2007/05/12 13:20:20  qboosh
- sparc64 is not supported

Revision 1.137  2007/05/12 13:18:09  qboosh
- updated sparc patch (but ldso is broken there anyway)

Revision 1.136  2007/05/12 12:39:43  qboosh
- debug patch and other fixes

Revision 1.135  2007/05/12 12:13:09  qboosh
- ldso and shared build on x86_64 now

Revision 1.134  2007/05/12 11:29:07  qboosh
- updated to 0.9.29
- updated newsoname,toolchain-wrapper,targetcpu patches
- removed obsolete alpha,O_DIRECT,x86_64 patches
- use macro for uclibc root dir

Revision 1.133  2007/04/06 10:30:35  qboosh
- updated to 0.9.28.3
- updated asm* symlinks for new llh

Revision 1.132  2007/02/16 12:12:00  qboosh
- removed obsolete ppc-syscall,ppc-uint128 patches

Revision 1.131  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.130  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.129  2007/02/01 21:14:50  arekm
- up to 0.9.28.1

Revision 1.128  2007/01/15 20:13:25  arekm
- rel 2

Revision 1.127  2006/12/09 22:13:07  qboosh
- fixed toolchain-wrapper patch, release 1.6

Revision 1.126  2006/11/26 09:21:31  arekm
- another rebuild

Revision 1.125  2006/11/11 23:23:30  arekm
- rebuild

Revision 1.124  2006/06/04 15:56:24  arekm
- rel 1.3

Revision 1.123  2006/05/21 13:42:45  glen
- quote other __cc
- BR binutils-gasp for symlink making

Revision 1.122  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.121  2005/10/18 14:37:41  jpc
- add UCLIBC_HAS_PRINTF_M_SPEC to config (needed by busybox, will
  print 'm' in place of error messages if not set)

Revision 1.120  2005/09/29 12:00:11  pluto
- typos.

Revision 1.119  2005/09/24 00:48:10  pluto
- ppc patchset added (from busybox bts), release 1.1.

Revision 1.118  2005/09/04 21:58:37  arekm
- rel 1

Revision 1.117  2005/09/04 18:32:38  arekm
- more predictable rule

Revision 1.116  2005/09/04 18:25:13  arekm
- rel 0.2; make asm-target_arch symlink, too (when needed); fixes amd64

Revision 1.115  2005/08/28 09:23:31  qboosh
- disable shared on x86_64 (not ready yet), added x86_64 patch; builds now
- more docs (and base docs moved to base)

Revision 1.114  2005/08/28 08:33:15  qboosh
- updated targetcpu,toolchain-wrapper patches - now dynamic linking works again

Revision 1.113  2005/08/28 07:54:20  qboosh
- fix ldso prefix (use runtime, not devel)

Revision 1.112  2005/08/28 07:25:22  qboosh
- updated to 0.9.28 (x86_64 port introduced)
- updated newsoname,sparc patches, removed obsolete gcc4 patch

Revision 1.111  2005/02/16 23:19:22  tommat
- be more compatible with our glibc, allow to build for example ash

Revision 1.110  2005/02/05 20:12:43  pluto
- gcc4 fixes.

Revision 1.109  2005/01/16 16:01:54  qboosh
- release 1

Revision 1.108  2005/01/16 11:32:28  qboosh
- added sparc patch (now builds again)
- removed asmflags patch (no longer needed)

Revision 1.107  2005/01/16 11:06:26  qboosh
- why no libpthread on alpha? it builds and is needed for librt

Revision 1.106  2005/01/15 22:39:19  qboosh
- updated to 0.9.27
- removed obsolete use-kernel-headers,sparc,linux2.6,gcc34,libgcc,return,sparc-ldso,g patches
- updated alpha,toolchain-wrapper,O_DIRECT patches

Revision 1.105  2004/10/10 11:38:02  havner
- rel 11 for gcc 3.3.5

Revision 1.104  2004/06/27 14:39:44  qboosh
- added O_DIRECT patch (sparc+ppc), release 10

Revision 1.103  2004/06/20 19:42:03  qboosh
- fixed asm includes with current llh on sparc*; release 9

Revision 1.102  2004/06/20 16:54:47  qboosh
- added g patch (avoid -ggdb build breakage); release 8

Revision 1.101  2004/06/19 19:48:34  averne
- rel7 for Ac

Revision 1.100  2004/05/30 11:21:42  pluto
- ops, cleanup.

Revision 1.99  2004/05/30 11:20:52  pluto
- invalid symlinks fixed.

Revision 1.98  2004/05/27 21:10:45  qboosh
- added sparc-ldso patch, release 6

Revision 1.97  2004/05/26 16:25:01  qboosh
- debug support at .config level

Revision 1.96  2004/05/25 17:21:08  qboosh
- added return patch (one more fix needed on sparc); release 5

Revision 1.95  2004/05/05 21:31:58  qboosh
- added libgcc patch (fixes __muldi3 issue on sparc); release 4

Revision 1.94  2004/05/05 09:37:30  pluto
- pentiumX support.

Revision 1.93  2004/05/05 09:35:27  pluto
- fixed %%files.
- removed cvs stuff.

Revision 1.92  2004/04/29 07:22:31  pluto
- gcc 3.4 fixes

Revision 1.91  2004/04/25 12:23:14  qboosh
- release 3: more fixes in alpha patch

Revision 1.90  2004/03/16 14:52:20  qboosh
- gcc 2.95 won't compile i386/crt*.S without nasty workarounds - BR gcc 3

Revision 1.89  2004/03/16 14:25:13  qboosh
- \n on right side of s requires sed 4.0

Revision 1.88  2004/03/16 13:40:39  qboosh
- cleanups

Revision 1.87  2004/03/03 21:15:11  andree
- added pentium3/i386 to TARGET_ARCH

Revision 1.86  2004/02/19 13:25:38  qboosh
- release 2: rebuild for gcc 3.3.3, strict deps

Revision 1.85  2004/02/09 13:45:57  pluto
- s/glibc-kernel-headers/linux-libc-headers/

Revision 1.84  2004/02/03 19:27:25  qboosh
- merged 0.9.26 from DEVEL; release 1

Revision 1.83.2.7  2004/02/01 00:43:45  qboosh
- release 0.2 (maybe 1 and merge?)

Revision 1.83.2.6  2004/01/31 23:24:41  qboosh
- enable shared lib on sparc (builds with sparc patch)

Revision 1.83.2.5  2004/01/31 23:19:49  qboosh
- added linux2.6 patch (for 2.6-based (g-)k-h); busybox builds now

Revision 1.83.2.4  2004/01/31 20:28:16  qboosh
- fixed config changes
- removed unneeded part of alpha patch, fixed files on alpha
- added ExclusiveArch (amd64 is not supported yet)

Revision 1.83.2.3  2004/01/31 18:33:13  qboosh
- revised patches:
  - lfs,no_bogus_gai probably obsolete
  - awk,gmon obsolete
  - asmflags is back (updated) - needed on i686
  - alpha,sparc are back (just apply cleanly!)
  - targetcpu is back (updated), link hacking no longer needed
- fixed config stuff (was heavily broken, totally broken on !x86)
- changed ugly dynamic linker path in toolchain-wrapper patch to more sane

Revision 1.83.2.2  2004/01/25 19:45:45  arekm
- now works, wow

Revision 1.83.2.1  2004/01/25 16:47:57  arekm
- update to 0.9.26 (builds but doesn't work; weird)

Revision 1.83  2004/01/24 23:26:40  arekm
- use external glibc-kernel-headers

Revision 1.82  2003/11/23 20:47:25  qboosh
- added sparc patch, fixed file lists for sparc

Revision 1.81  2003/11/23 19:42:53  qboosh
- added alpha and gmon patches, fixed files on alpha (no shared yet)
- copy non-existing sparc config from ppc
- why g+s for libm??? killed
- release 4

Revision 1.80  2003/10/25 20:21:12  arekm
- rel 3

Revision 1.79  2003/09/25 09:08:33  arekm
- fix what areq broke (always use /usr/include/{asm,linux}); rel 2

Revision 1.78  2003/09/13 13:59:29  areq
- 0.9.21

Revision 1.77  2003/09/11 17:23:19  mmazur
- uClibc rel 2; libtool rel 9
- fuck fuck fuck shit fuck fuck fuck... ppc builder was broken all the time
  and I hadn't noticed. FUCK

Revision 1.76  2003/09/03 13:29:24  mmazur
- killed _with_lfs bcond cause this is ac

Revision 1.75  2003/08/26 18:19:12  malekith
- yet another try on alpha

Revision 1.74  2003/08/26 18:15:59  malekith
- second try on alpha

Revision 1.73  2003/08/26 18:13:36  malekith
- first try on alpha

Revision 1.72  2003/08/15 20:31:26  arekm
- rebuild

Revision 1.71  2003/08/15 19:47:12  arekm
- use headers from /usr/include not from /usr/src/linux

Revision 1.70  2003/08/06 18:53:24  arekm
- change soname for libpthread.so; rel 0.2

Revision 1.69  2003/07/24 15:22:27  qboosh
- added asmflags, per-arch optimizations are back

Revision 1.68  2003/07/15 17:49:16  areq
- 0.9.20
- remove {rpmcflags} from OPTIMIZATION, build with -Os

Revision 1.67  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.66  2003/05/28 13:02:24  malekith
- massive attack: source-md5

Revision 1.65  2003/05/25 06:27:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.64  2003/05/22 21:45:52  malekith
- release 0.4; %requires_eq gcc for devel

Revision 1.63  2003/05/22 21:13:42  malekith
- enable RPC
- release 0.3

Revision 1.62  2003/04/06 18:17:21  malekith
- added awk patch (now it builds fine for me)
- release 0.2

Revision 1.61  2003/04/02 22:44:56  qboosh
- started update to 0.9.19
- updated targetcpu patch, removed obsolete no_hardcoded_gcc, __thread patches
  and unneeded noinstalled patch

Revision 1.60  2003/03/27 21:53:05  malekith
- fix build on uClibc; release 0.2

Revision 1.59  2002/11/03 21:10:36  wolf
- CC=.. is also needed

Revision 1.58  2002/08/25 16:23:57  qboosh
- commented out lfs and no_bogus_gai patches - need check/update
- build different packages for i[356]86 (with a little help of targetcpu patch)
- noinstalled patch - don't require /usr/*-uclibc-linux/lib/crt0.o to build
- release 0.1 - please check commented patches

Revision 1.57  2002/07/16 21:51:53  kloczek
- start update to 0.9.12,
- removed outdated Makefile patch,
- enable shadow support.

Revision 1.56  2002/04/25 08:52:09  kloczek
- release 6: added Provides: libc-static in static subpackage.

Revision 1.55  2002/03/26 15:51:17  malekith
- ppc thinko fixed

Revision 1.54  2002/03/26 01:03:33  speedy
- sparc doesn't have ld.so

Revision 1.53  2002/03/18 18:34:32  malekith
- workaround for uClibc thinking ppc is called powerpc :)

Revision 1.52  2002/03/18 18:12:33  malekith
- br: which

Revision 1.51  2002/03/18 09:34:41  malekith
- rel 5
- updates lfs patch again

Revision 1.50  2002/03/15 14:40:22  malekith
- new version of lfs patch (always export {,f}open64 syscalls)
- added no_hardcoded_gcc patch -- allows build with itself
- rel 4

Revision 1.49  2002/03/08 15:13:19  malekith
- DO_C99_MATH = true (rint for iproute2)
- rel 3, stbr

Revision 1.48  2002/03/04 11:03:47  misiek
- now it builds on powerpc

Revision 1.47  2002/02/24 00:21:47  filon
- fixed inserted rubbish

Revision 1.46  2002/02/23 23:11:26  filon
- fix install section, tell make what TARGET_ARCH is
- release 2

Revision 1.45  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/02/05 18:14:40  kloczek
- typo.

Revision 1.43  2002/02/05 15:39:31  kloczek
- fixes for sparc: shared libraries are now builded but ld.so still not :(

Revision 1.42  2002/02/05 09:34:18  kloczek
- updated to 0.9.9 (new feactures and bugfixes),
- removed obsoleted setfsuid patch.

Revision 1.41  2002/02/02 03:22:37  kloczek
- release 5.

Revision 1.40  2002/02/02 02:20:29  misiek
- missing defattr for static subpackage

Revision 1.39  2002/01/23 16:14:53  malekith
- no_bogus_gai patch added (fixes openssh compilation)

Revision 1.38  2002/01/22 17:55:49  malekith
- more lfs fixes (new version of patch), finally builds

Revision 1.37  2002/01/22 14:26:52  malekith
- fixed lfs bcond

Revision 1.36  2002/01/22 12:49:59  malekith
- rel 4
- with lfs bcond added
- added patch to workaround uclibc bugs in lfs

Revision 1.35  2002/01/21 17:26:53  malekith
- rel 3
- added -Os to cflags
- added links in /usr/*-uclibc/usr/bin

Revision 1.34  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/05 16:51:51  kloczek
- release 2.

Revision 1.32  2002/01/04 16:40:38  malekith
- don't create /usr/bin/bin

Revision 1.31  2002/01/04 16:31:20  malekith
- s/perl/sed
- include .html docs

Revision 1.30  2002/01/03 21:51:31  kloczek
- enable ipv6 support.

Revision 1.29  2002/01/03 21:34:45  kloczek
- fix in %build,
- added gcc and binutils to Requires rules for devel subpackage.

Revision 1.28  2002/01/03 21:21:47  kloczek
- added Makefile patch which allow build uClibc from account with gid!=uid.

Revision 1.27  2002/01/03 21:10:17  kloczek
- updated to 0.9.8 (Epoch: 1),
- Added Souce url and updated URL,
- package completly reorganized.

Revision 1.26  2001/12/19 13:58:18  qboosh
- cosmetics, pl translations

Revision 1.25  2001/10/05 07:55:43  kloczek
- release 8,
- spec adapterized.

Revision 1.24  2001/10/04 11:22:58  misiek
- more arch fixes

Revision 1.23  2001/10/04 11:05:21  misiek
- this package must be arch independent

Revision 1.22  2001/08/30 22:55:51  filon
- updated to 20010826
- removed ipv6 patch, already in sources
- it builds again

Revision 1.21  2001/08/19 20:24:29  saq
- using %%_kernelsrcdir
- WARNING: doesn't build

Revision 1.20  2001/06/20 10:37:23  malekith
- new version of ipv6 patch

Revision 1.19  2001/06/19 10:27:01  malekith
- added v6 resolver patch
- rel 6

Revision 1.18  2001/06/16 10:57:38  klakier
- rel 5

Revision 1.17  2001/06/16 10:57:13  klakier
- added forgotten libdl.a
- fixed perms on libs

Revision 1.16  2001/06/10 14:26:10  kloczek
- cosmetics.

Revision 1.15  2001/06/08 15:01:39  wiget
linux-devel-BOOT is dead

Revision 1.14  2001/05/22 22:51:06  klakier
- added -m386 for BOOT

Revision 1.13  2001/05/21 19:00:44  klakier
- rel 3
- enabled rpc

Revision 1.12  2001/05/21 18:33:19  klakier
- ver 20010521

Revision 1.11  2001/05/16 14:52:33  klakier
- remove CVS dirs

Revision 1.10  2001/05/16 14:39:54  klakier
- I hate symlinks, wrrrr

Revision 1.9  2001/05/16 14:02:28  klakier
- rel 2

Revision 1.8  2001/05/16 13:59:47  klakier
- cp -pr seems to cause portability problems

Revision 1.7  2001/05/16 09:21:38  malekith
- added setfsuid patch

Revision 1.6  2001/04/19 05:18:25  kloczek
- only adapterized.

Revision 1.5  2001/04/15 13:30:07  klakier
- BuildRequires linux-devel-BOOT

Revision 1.4  2001/04/13 12:55:59  klakier
- forgot to add crt0.o to files

Revision 1.3  2001/04/13 12:40:39  klakier
- fixed requires

Revision 1.2  2001/04/13 12:28:39  klakier
- devel -> devel-BOOT

Revision 1.1  2001/04/13 12:27:23  klakier
- TODO main package ie empty (I only need -BOOT)
